| Version: 3.2.5

Classes | Enumerations | Variables
dirctrl.h File Reference

## Classes

class | wxGenericDirCtrl
| This control can be used to place a directory listing (with optional files) on an arbitrary window. More...
class | wxDirFilterListCtrl

## Enumerations

enum | { wxDIRCTRL_DIR_ONLY = 0x0010 , wxDIRCTRL_SELECT_FIRST = 0x0020 , wxDIRCTRL_SHOW_FILTERS = 0x0040 , wxDIRCTRL_3D_INTERNAL = 0x0080 , wxDIRCTRL_EDIT_LABELS = 0x0100 , wxDIRCTRL_MULTIPLE = 0x0200 , wxDIRCTRL_DEFAULT_STYLE = wxDIRCTRL_3D_INTERNAL }

## Variables

wxEventType | wxEVT_DIRCTRL_SELECTIONCHANGED
wxEventType | wxEVT_DIRCTRL_FILEACTIVATED

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
wxDIRCTRL_DIR_ONLY |
wxDIRCTRL_SELECT_FIRST |
wxDIRCTRL_SHOW_FILTERS |
wxDIRCTRL_3D_INTERNAL |
wxDIRCTRL_EDIT_LABELS |
wxDIRCTRL_MULTIPLE |
wxDIRCTRL_DEFAULT_STYLE |

## Variable Documentation

## ◆ wxEVT_DIRCTRL_FILEACTIVATED

wxEventType wxEVT_DIRCTRL_FILEACTIVATED

## ◆ wxEVT_DIRCTRL_SELECTIONCHANGED

wxEventType wxEVT_DIRCTRL_SELECTIONCHANGED